Bug 151195 - perl-Cyrus installs into site_perl; should set INSTALLDIRS=vendor
perl-Cyrus installs into site_perl; should set INSTALLDIRS=vendor
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cyrus-imapd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-15 17:31 EST by Matthew Miller
Modified: 2008-03-18 10:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 05:43:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2005-03-15 17:31:14 EST
Perl modules managed by RPM should be installed into vendor_perl, not site_perl.
Almost all modules have been updated to correct this; as of
perl-Cyrus-2.2.10-11.4.fc4.i386.rpm, this is one of two in the development tree
that doesn't seem to be fixed yet.
Comment 1 Matthew Miller 2005-03-15 17:32:06 EST
Oh, no, wait -- 3. ImageMagick does it too. :)
Comment 2 Petr Rockai 2006-08-03 08:32:42 EDT
Cyrus is not in Fedora Core anymore. I have a version for Extras prepared 
that fixes this issue (among others). I just can't seem to persuade the 
build system to obey... I'll close the bug when i manage to build it.
Comment 3 Matthew Miller 2008-03-18 10:18:20 EDT
So, uh, presumably this is good now, right?

Note You need to log in before you can comment on or make changes to this bug.